Bug 1471862 - Document AD DN plugin
Document AD DN plugin
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Documentation (Show other bugs)
10.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 10:37 EDT by Simon Pichugin
Modified: 2017-09-05 03:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 03:21:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Pichugin 2017-07-17 10:37:30 EDT
Document URL: 

Administration guide;
Plug-in guide;
Command and configuration guide. 

Describe the issue: 

New plugin was added - addn. 
This plugin allows a unique entry that matches some filter
to bind with "user1" -> "uid=user1,ou=People,dc=example,dc=com".

For the user to bind:
* Only a single entry may be mapped from the filter, else it is considered a failure.
* The entry must belong under a specific suffix
* The user@domain.com maps the domain to a subconfig which maps to a suffix
  to search underneath.

https://fedorahosted.org/389/ticket/48272 bz1266206
Comment 1 Marc Muehlfeld 2017-08-22 02:26:41 EDT
Design Doc: AD DN Bind Plug-in Usage
http://www.port389.org/docs/389ds/howto/howto-addn.html
Comment 3 Marc Muehlfeld 2017-09-05 03:21:03 EDT
The update is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.